package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.PileStationWhitelist;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 站点白名单Mapper接口
 *
 * @author jsowell
 * @date 2023-04-19
 */
@Repository
public interface PileStationWhitelistMapper {
	/**
	 * 查询站点白名单
	 *
	 * @param id 站点白名单主键
	 * @return 站点白名单
	 */
	public PileStationWhitelist selectPileStationWhitelistById(Long id);

	/**
	 * 查询站点白名单列表
	 *
	 * @param pileStationWhitelist 站点白名单
	 * @return 站点白名单集合
	 */
	public List<PileStationWhitelist> selectPileStationWhitelistList(PileStationWhitelist pileStationWhitelist);

	/**
	 * 新增站点白名单
	 *
	 * @param pileStationWhitelist 站点白名单
	 * @return 结果
	 */
	public int insertPileStationWhitelist(PileStationWhitelist pileStationWhitelist);

	/**
	 * 修改站点白名单
	 *
	 * @param pileStationWhitelist 站点白名单
	 * @return 结果
	 */
	public int updatePileStationWhitelist(PileStationWhitelist pileStationWhitelist);

	/**
	 * 删除站点白名单
	 *
	 * @param id 站点白名单主键
	 * @return 结果
	 */
	public int deletePileStationWhitelistById(Long id);

	/**
	 * 批量删除站点白名单
	 *
	 * @param ids 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deletePileStationWhitelistByIds(Long[] ids);

	PileStationWhitelist queryWhitelistByMemberId(@Param("stationId") String stationId, @Param("memberId") String memberId);
}
